Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1046892 - [abrt] terminator: _cairo_scaled_glyph_page_destroy(): python2.7 killed by SIGABRT
Summary: [abrt] terminator: _cairo_scaled_glyph_page_destroy(): python2.7 killed by SI...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: terminator
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dominic Hopf
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:80e3aa0df843b31216f0d7dba56...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-27 09:52 UTC by Alexander Bokovoy
Modified: 2015-06-29 13:51 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 13:51:36 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (94.07 KB, text/plain)
2013-12-27 09:52 UTC, Alexander Bokovoy
no flags Details
File: cgroup (172 bytes, text/plain)
2013-12-27 09:52 UTC, Alexander Bokovoy
no flags Details
File: core_backtrace (43.82 KB, text/plain)
2013-12-27 09:52 UTC, Alexander Bokovoy
no flags Details
File: dso_list (13.59 KB, text/plain)
2013-12-27 09:52 UTC, Alexander Bokovoy
no flags Details
File: environ (939 bytes, text/plain)
2013-12-27 09:52 UTC, Alexander Bokovoy
no flags Details
File: limits (1.29 KB, text/plain)
2013-12-27 09:52 UTC, Alexander Bokovoy
no flags Details
File: maps (76.94 KB, text/plain)
2013-12-27 09:52 UTC, Alexander Bokovoy
no flags Details
File: open_fds (380 bytes, text/plain)
2013-12-27 09:52 UTC, Alexander Bokovoy
no flags Details
File: proc_pid_status (936 bytes, text/plain)
2013-12-27 09:52 UTC, Alexander Bokovoy
no flags Details
File: var_log_messages (446 bytes, text/plain)
2013-12-27 09:52 UTC, Alexander Bokovoy
no flags Details

Description Alexander Bokovoy 2013-12-27 09:52:18 UTC
Description of problem:
In settings menu selected profiles section and Terminator crashed

Version-Release number of selected component:
terminator-0.97-3.fc20

Additional info:
reporter:       libreport-2.1.10
backtrace_rating: 4
cmdline:        /usr/bin/python /usr/bin/terminator
crash_function: _cairo_scaled_glyph_page_destroy
executable:     /usr/bin/python2.7
kernel:         3.12.6-300.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #4 _cairo_scaled_glyph_page_destroy at cairo-scaled-font.c:459
 #5 _cairo_scaled_font_free_last_glyph at cairo-scaled-font.c:2912
 #6 _cairo_scaled_glyph_lookup at cairo-scaled-font.c:2993
 #7 _cairo_scaled_font_glyph_path at cairo-scaled-font.c:2647
 #8 _cairo_gstate_glyph_path at cairo-gstate.c:2090
 #9 cairo_glyph_path at cairo.c:3550
 #10 pango_cairo_renderer_show_text_glyphs at pangocairo-render.c:491
 #11 pango_cairo_renderer_draw_glyphs at pangocairo-render.c:516
 #12 pango_renderer_draw_glyphs at pango-renderer.c:641
 #13 pango_renderer_draw_layout_line at pango-renderer.c:570

Comment 1 Alexander Bokovoy 2013-12-27 09:52:25 UTC
Created attachment 842238 [details]
File: backtrace

Comment 2 Alexander Bokovoy 2013-12-27 09:52:27 UTC
Created attachment 842239 [details]
File: cgroup

Comment 3 Alexander Bokovoy 2013-12-27 09:52:30 UTC
Created attachment 842240 [details]
File: core_backtrace

Comment 4 Alexander Bokovoy 2013-12-27 09:52:32 UTC
Created attachment 842241 [details]
File: dso_list

Comment 5 Alexander Bokovoy 2013-12-27 09:52:34 UTC
Created attachment 842242 [details]
File: environ

Comment 6 Alexander Bokovoy 2013-12-27 09:52:37 UTC
Created attachment 842243 [details]
File: limits

Comment 7 Alexander Bokovoy 2013-12-27 09:52:40 UTC
Created attachment 842244 [details]
File: maps

Comment 8 Alexander Bokovoy 2013-12-27 09:52:42 UTC
Created attachment 842245 [details]
File: open_fds

Comment 9 Alexander Bokovoy 2013-12-27 09:52:44 UTC
Created attachment 842246 [details]
File: proc_pid_status

Comment 10 Alexander Bokovoy 2013-12-27 09:52:46 UTC
Created attachment 842247 [details]
File: var_log_messages

Comment 11 Fedora End Of Life 2015-05-29 10:11:28 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 12 Fedora End Of Life 2015-06-29 13:51:36 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.